@import url('https://fonts.googleapis.com/css2?family=Edu+VIC+WA+NT+Hand+Pre:wght@400..700&family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

.cards {
  width: var(--cards-width);
  height: var(--card-height);
  position: relative;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  padding: 0 36px;
  perspective: 2500px;
  margin: 0 50px;
}

.cover-image {
  width: 30%;
  height: 30%;
  object-fit: cover;
}

.wrapper {
  transition: all 0.5s;
  position: absolute;
  width: 30%;
  z-index: -1;
}

.cards:hover .wrapper {
  transform: perspective(900px) translateY(-5%) rotateX(25deg) translateZ(0);
  box-shadow: 2px 35px 32px -8px rgba(0, 0, 0, 0.75);
  -webkit-box-shadow: 2px 35px 32px -8px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 2px 35px 32px -8px rgba(0, 0, 0, 0.75);
}

.wrapper::before,
.wrapper::after {
  content: "";
  opacity: 0;
  width: 30%;
  height: 80px;
  transition: all 0.5s;
  position: absolute;
  left: 0;
}

.wrapper::before {
  top: 0;
  height: 30%;
  background-image: linear-gradient(to top,
      transparent 46%,
      rgba(12, 13, 19, 0.5) 68%,
      rgba(12, 13, 19) 97%);
}

.wrapper::after {
  bottom: 0;
  opacity: 1;
  background-image: linear-gradient(to bottom,
      transparent 46%,
      rgba(12, 13, 19, 0.5) 68%,
      rgba(12, 13, 19) 97%);
}

.cards:hover .wrapper::before,
.wrapper::after {
  opacity: 1;
}

.cards:hover .wrapper::after {
  height: 120px;
}

.title {
  width: 30%;
  transition: transform 0.5s;

}

.cards:hover .title {
  transform: translate3d(0%, -50px, 100px);
}

.character {
  width: 30%;
  opacity: 0;
  transition: all 0.5s;
  position: absolute;
  z-index: -1;
}

.cards:hover .character {
  opacity: 1;
  transform: translate3d(0%, -30%, 100px);
}

/* inicio card neon*/

.cardneon {
  overflow: visible;
  width: 190px;
  height: 254px;
}

.content {
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  transition: transform 300ms;
  box-shadow: 0px 0px 10px 1px #000000ee;
  border-radius: 5px;
}

.front,
.back {
  background-color: #151515;
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  border-radius: 5px;
  overflow: hidden;
}

.back {
  width: 105%;
  height: 100%;
  justify-content: center;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.back::before {
  position: absolute;
  content: ' ';
  display: block;
  width: 160px;
  height: 160%;
  background: linear-gradient(90deg, transparent, #ff9966, #ff9966, #ff9966, #ff9966, transparent);
  animation: rotation_481 5000ms infinite linear;
}

.back-content {
  position: absolute;
  width: 99%;
  height: 99%;
  background-color: #151515;
  border-radius: 5px;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;
}

.cardneon:hover .content {
  transform: rotateY(180deg);
}

@keyframes rotation_481 {
  0% {
    transform: rotateZ(0deg);
  }

  100% {
    transform: rotateZ(360deg);
  }
}

.front {
  transform: rotateY(180deg);
  color: white;
}

.front .front-content {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.front-content .badge {
  background-color: #00000055;
  padding: 2px 10px;
  border-radius: 10px;
  backdrop-filter: blur(2px);
  width: fit-content;
}

.description {
  box-shadow: 0px 0px 10px 5px #00000088;
  width: 100%;
  padding: 10px;
  background-color: #00000099;
  backdrop-filter: blur(1px);
  border-radius: 5px;
}

.title {
  font-size: 11px;
  max-width: 100%;
  display: flex;
  justify-content: space-between;
}

.title p {
  width: 50%;
}

.title svg {
  margin: -10.5px -100px;

}

.card-footer {
  color: #ffffff88;
  margin-top: 5px;
  font-size: 8px;
}

.front .img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.circle {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background-color: #ffbb66;
  position: relative;
  filter: blur(15px);
  animation:
    floating 1600ms infinite linear alternate,
    floatingtwo 2600ms infinite linear alternate,
    piscar 1600ms infinite linear alternate,
    mudecor2 1600ms infinite linear alternate;
}

@keyframes mudecor2 {
  0% {
    background-color: #ff8866;
    filter: blur(15px);
  }

  25% {
    background-color: #8d2d00;
    filter: blur(5px);
  }

  50% {
    background-color: #ff8866;
    filter: blur(15px);
  }

  75% {
    background-color: #ff3700;
    filter: blur(25px);
  }

  100% {
    background-color: #ffb19c;
    filter: blur(15px);
  }
}

@keyframes piscar {
  0% {
    opacity: 1;
  }

  50% {
    opacity: 0.5;
  }

  100% {
    opacity: 1;
  }
}

#bottom {
  background-color: #ff8866;
  left: 50px;
  top: 0px;
  width: 150px;
  height: 150px;
  animation-delay: -800ms;
  animation: piscar 1600ms infinite linear reverse alternate,
    mudecor 1600ms infinite linear reverse alternate;
}

@keyframes mudecor {
  0% {
    background-color: #ff8866;
  }

  50% {
    background-color: #ff2233;
  }

  100% {
    background-color: #ff8866;
  }
}

#right {
  background-color: #ff2233;
  left: 160px;
  top: -80px;
  width: 30px;
  height: 30px;
  animation-delay: -1800ms;
  animation: piscar 1600ms infinite linear alternate,
    mudecor 1600ms infinite linear;
}

@keyframes floating {
  0% {
    translate: 0 0px;
  }

  50% {
    translate: 0 100px;
  }

  100% {
    translate: 0 0px;
  }
}

@keyframes floatingtwo {
  0% {
    transform: translateX(0px);
  }

  50% {
    transform: translateX(60px);
  }

  100% {
    transform: translateX(0px);
  }
}



/* fim card neon*/
.imgcard {
  line-height: 0px;
  width: 80px;
  height: 80px;

  object-fit: cover;
  object-position: center;
  margin: -5px auto;

  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /*border-radius: 50%;*/
  overflow: hidden;
}

.titulocard {
  margin: -20px auto;
}